Package com.pixelmed.network

# Class SCUSCPRoleSelection

java.lang.Object
com.pixelmed.network.SCUSCPRoleSelection

public class SCUSCPRoleSelection extends Object

## Constructor Summary

Constructors
Constructor
Description
`SCUSCPRoleSelection(String abstractSyntaxUID, boolean scuRole, boolean scpRole)`
`SCUSCPRoleSelection(String abstractSyntaxUID, byte scuRole, byte scpRole)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getAbstractSyntaxUID()`
`boolean`
`isSCPRoleSupported()`
`boolean`
`isSCURoleSupported()`
`void`
`setSCPRoleSupported(boolean supported)`
`void`
`setSCURoleSupported(boolean supported)`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### SCUSCPRoleSelection

public SCUSCPRoleSelection(String abstractSyntaxUID, byte scuRole, byte scpRole)

Parameters:
  `abstractSyntaxUID` -

### SCUSCPRoleSelection

public SCUSCPRoleSelection(String abstractSyntaxUID, boolean scuRole, boolean scpRole)

Parameters:
  `abstractSyntaxUID` -
  `scuRole` - true if supported
  `scpRole` - true if supported

## Method Details

### getAbstractSyntaxUID

public String getAbstractSyntaxUID()

### isSCURoleSupported

public boolean isSCURoleSupported()

### setSCURoleSupported

public void setSCURoleSupported(boolean supported)

Parameters:
  `supported` - true if supported, false if not

### isSCPRoleSupported

public boolean isSCPRoleSupported()

### setSCPRoleSupported

public void setSCPRoleSupported(boolean supported)

Parameters:
  `supported` - true if supported, false if not

### toString

public String toString()

Overrides:
  `toString` in class `Object`